import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:mc_common_app/utils/enums.dart';

class BaseVM extends ChangeNotifier {
  ViewState _state = ViewState.idle;
  bool isInternetConnection = true;

  ViewState get state => _state;

  String error = "";

  void setOnlyState(ViewState viewState) {
    _state = viewState;
  }

  void setState(ViewState viewState) {
    _state = viewState;
    notifyListeners();
  }
}
